CVE-2007-2510

Impact:
Moderate
Public Date:
2007-05-03
Bugzilla:
239012: CVE-2007-2510 php make_http_soap_request flaw

The MITRE CVE dictionary describes this issue as:

Buffer overflow in the make_http_soap_request function in PHP before 5.2.2 has unknown impact and remote attack vectors, possibly related to "/" (slash) characters.

Find out more about CVE-2007-2510 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue did not affect the versions of PHP as shipped with Red Hat Enterprise Linux 2.1, 3, 4, or Red Hat Application Stack v2. Updates to correct this issue for Red Hat Enterprise Linux 5, and Red Hat Application Stack v1 are available at http://rhn.redhat.com/cve/CVE-2007-2510.html

Red Hat Security Errata

Platform Errata Release Date
Red Hat Application Stack v1 for Enterprise Linux AS (v.4) (php) RHSA-2007:0355 2007-05-10
Red Hat Enterprise Linux 5 (php) RHSA-2007:0348 2007-05-08

Last Modified

CVE description copyright © 2017, The MITRE Corporation

Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.